<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myGameLabel" jhiTranslate="typerApp.game.home.createOrEditLabel">Create or edit a Game</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.game.date" for="field_date">Date</label>
            <div class="d-flex">
                <input id="field_date" type="datetime-local" class="form-control" name="date" [(ngModel)]="game.date"
                required/>
            </div>
            <div [hidden]="!(editForm.controls.date?.dirty && editForm.controls.date?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.date?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.date?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                    This field should be a date and time.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.game.hostResult" for="field_hostResult">Host Result</label>
            <input type="number" class="form-control" name="hostResult" id="field_hostResult"
                [(ngModel)]="game.hostResult" />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.game.guestResult" for="field_guestResult">Guest Result</label>
            <input type="number" class="form-control" name="guestResult" id="field_guestResult"
                [(ngModel)]="game.guestResult" />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.game.host" for="field_host">Host</label>
            <select class="form-control" id="field_host" name="host" [(ngModel)]="game.host"  required>
                <option *ngIf="!editForm.value.host" [ngValue]="null" selected></option>
                <option [ngValue]="teamOption.id === game.host?.id ? game.host : teamOption" *ngFor="let teamOption of teams; trackBy: trackTeamById">{{teamOption.name}}</option>
            </select>
        </div>
        <div [hidden]="!(editForm.controls.host?.dirty && editForm.controls.host?.invalid)">
            <small class="form-text text-danger"
                [hidden]="!editForm.controls.host?.errors?.required" jhiTranslate="entity.validation.required">
                This field is required.
            </small>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.game.guest" for="field_guest">Guest</label>
            <select class="form-control" id="field_guest" name="guest" [(ngModel)]="game.guest"  required>
                <option *ngIf="!editForm.value.guest" [ngValue]="null" selected></option>
                <option [ngValue]="teamOption.id === game.guest?.id ? game.guest : teamOption" *ngFor="let teamOption of teams; trackBy: trackTeamById">{{teamOption.name}}</option>
            </select>
        </div>
        <div [hidden]="!(editForm.controls.guest?.dirty && editForm.controls.guest?.invalid)">
            <small class="form-text text-danger"
                [hidden]="!editForm.controls.guest?.errors?.required" jhiTranslate="entity.validation.required">
                This field is required.
            </small>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.game.league" for="field_league">League</label>
            <select class="form-control" id="field_league" name="league" [(ngModel)]="game.league" >
                <option [ngValue]="null"></option>
                <option [ngValue]="leagueOption.id === game.league?.id ? game.league : leagueOption" *ngFor="let leagueOption of leagues; trackBy: trackLeagueById">{{leagueOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
